# Retrieve Transaction  (Beta)

{% hint style="warning" %}
This feature is currently in beta and should not be used in production. For further details please contact <support@ospree.io>.
{% endhint %}

<mark style="color:green;">`GET`</mark>  `/api/v2/analytics/chains/{chain}/transactions/{transaction}`

Returns a screening result for the requested transaction hash.

Path Parameters

| Name          | Type   | Description                                                                                                                                   | Required |
| ------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `chain`       | string | Blockchain network name. Example: <mark style="color:orange;">`bitcoin`</mark>                                                                | True     |
| `transaction` | string | Unique transaction identifier. Example: <mark style="color:orange;">`f24f0e170461545b20c464507113e590a007dd10df087628d8b1842976791d5c`</mark> | True     |

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
  "status": "success",
  "data": {
    "block_id": "0x2921b8e6da469703da73fa109f837088b1dc8d54810ffe4096e867751cea2a33",
    "hash": "0x96da85f7613be173bf2c02d8b90a28c3052fa69b28c472e23b7bcc3db553fb83",
    "chain": "ethereum",
    "symbol": "ETH",
    "financial_data": {
      "in_count": 1,
      "in_native": 50.00234,
      "in_usd": 5.420253656,
      "out_count": 1,
      "out_native": 50.00234,
      "out_usd": 5.420253656,
      "events": [
        {
          "type": "fee",
          "destination": "Null",
          "source": "0xBfEAf79E60C23883c92F06f642073f5aD85459F2",
          "amount": 982226191558312,
          "amount_usd": 2.31439993064502,
          "decimals": 18,
          "denomination": "ETH",
          "contract": "Null",
          "contract_source": "Null",
          "token_type": "Null"
        },
        {
          "type": "transfer",
          "destination": "0x59b87fa89986c81baBD1d91ebBF109F8855c7DeF",
          "source": "0xBfEAf79E60C23883c92F06f642073f5aD85459F2",
          "amount": 50002340,
          "amount_usd": 5.420253656,
          "decimals": 6,
          "denomination": "TRX",
          "contract": "0x50327c6c5a14dcade707abad2e27eb517df87ab5",
          "contract_source": "ethereum/contract/0x50327c6c5a14dcade707abad2e27eb517df87ab5/erc-20",
          "token_type": "erc-20"
        }
      ]
    },
    "risk_data": [
      {
        "in_risk_ratio": 45,
        "out_risk_ratio": 39,
        "risk_ratio": 45,
        "risk_descriptors": "string",
        "provider_name": "RDBIG"
      }
    ],
    "created": "2024-01-08T15:25:42",
    "last_modified": "2024-01-08T15:25:42"
  },
  "message": "Null"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/ospree-api/blockchain-analytics/retrieve-transaction-beta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
